[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: Breaking deps deliberately





On Wed, 13 May 2009, Richard W.M. Jones wrote:


Not really.

The dependency in any case wasn't "broken", it just wasn't satisfied
by any package in Fedora 10 (although it was by packages in Fedora 11+).

Someone else already mentioned a theoretical case where a package
might depend on libdvdcss, which would have both legal and technical
issues.

If you want to say that the repository shouldn't have broken
dependencies, then it should say so in the packaging guidelines.



Fine - then I'll propose a new rule that will retroactively apply to ALL packages:

"No broken dependencies are allowed for package or update (including updates-testing) for any given release version of the fedora linux distribution."

and I think we need to ask if your provenpackager status should be re-evaluated.

-sv



[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]